Deals
View endpoints for deals.
export interface DealBasicInfo
{
id?: number;
created_at: number;
updated_at?: number;
last_sync_at?: number;
uuid: string;
name: string;
info_image_path?: string;
info_completed?: boolean;
info_tag?: string;
info_category?: string;
info_description?: string;
info_valuation?: number;
info_raising_amount?: number;
info_cliff_and_vesting?: string;
info_fee: number;
info_token_price: number;
url_website?: string;
url_twitter?: string;
url_pitchdeck?: string;
deal_fundrised_token_addr: string;
deal_fundrised_token_symbol: string;
deal_min_allocation: number;
deal_max_allocation: number;
deal_total_allocation: number;
deal_active_discovery: boolean;
deal_active_fundrising_registered: boolean;
deal_active_fundrising_everyone: boolean;
deal_active_refunding: boolean;
}
export interface DealParticipationsInfo
{
id: number;
sumInterest: number;
sumPurchases: number;
countInterest: number;
countPurchases: number;
}
export interface DealCompleteInfo extends DealBasicInfo, Omit<DealParticipationsInfo, "id">
{
}
export interface MultipleDealsCompleteInfo
{
communityUuid?: string,
communityOwner?: string,
walletOwner?: string,
deals: DealCompleteInfo[];
}Get list of all deals
Path Parameters
Name
Type
Description
Get list of all deals
Get active deals (in interest discovery or fundraising phase)
Get finished deals (marked as completed)
Get wallet deals participations info
Path Parameters
Name
Type
Description
Get participations statistics for all deals of specific community (interest discovery/fundraising)
Path Parameters
Name
Type
Description
Last updated